Available in VPC
Get the Cloud DB for Cache config group list.
Cloud DB for Cache API offers two versions based on the supported DBMS range.
- getCloudCacheConfigGroupList API: Support for Valkey and Redis DBMS
- getCloudRedisConfigGroupList API: Support for Redis DBMS
getCloudCacheConfigGroupList API
This section describes the request and response formats for the getCloudCacheConfigGroupList API.
Request
This section describes the request format. The method and URI are as follows:
| Method | URI |
|---|---|
| GET | POST | /vcache/v2/getCloudCacheConfigGroupList |
This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console.
Request headers
For information about the headers common to all Cloud DB for Cache (VPC) APIs, see Cloud DB for Cache (VPC) request headers.
Request query parameters
You can use the following query parameters with your request:
| Field | Type | Required | Description |
|---|---|---|---|
regionCode |
String | Optional | Region code of the Cloud DB for Cache config group list to query
|
cloudCacheInstanceNo |
String | Optional | Filter by Cloud DB for Cache instance number. |
cloudCacheServiceName |
String | Optional | Filter by Cloud DB for Cache instance name. |
configGroupNo |
String | Optional | Filter by config group number. |
configGroupName |
String | Optional | Filter by config group name. |
cloudCacheImageProductCode |
String | Optional | Filter by Cloud Cache image product code applicable for the config group version to query. |
cloudCacheModeCode |
String | Optional | Cloud DB for Cache configurationFilter by Cloud DB for Cache configuration type.
|
cloudCacheDbmsCode |
String | Optional | Cloud DB for Cache instance's DBMS code
|
responseFormatType |
String | Optional | Format of the response result
|
Request example
The request example is as follows:
curl --location --request GET 'https://ncloud.apigw.ntruss.com/vcache/v2/getCloudCacheConfigGroupList
?regionCode=KR
&cloudCacheInstanceNo=****511
&cloudCacheServiceName=test-****
&configGroupNo=***9
&configGroupName=test-***-config
&cloudCacheImageProductCode=SW.VRDS.OS.LNX64.ROCKY.0810.VALKY.B050
&cloudCacheModeCode=SIMPLE' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'
Response
This section describes the response format.
Response body
See CloudCacheConfigGroupList for the response body.
Response status codes
For information about the HTTP status codes common to all Cloud DB for Cache (VPC) APIs, see Cloud DB for Cache (VPC) response status codes.
Response example
The response example is as follows:
- If
responseFormatType=json
{
"getCloudCacheConfigGroupListResponse": {
"totalRows": 1,
"cloudCacheConfigGroupList": [
{
"configGroupNo": "***9",
"configGroupName": "test-***-config",
"configGroupDescription": "decription",
"configGroupStatusName": "running",
"configGroupStatus": {
"code": "RUN",
"codeName": "Config group Running status"
},
"cloudCacheVersion": "7.2.11-simple",
"cloudCacheDbmsCode": "Redis",
"createDate": "2024-07-01T16:36:38+0900",
"modifyDate": "2024-07-01T16:36:40+0900",
"cloudCacheInstanceNoList": [
"****511"
]
}
],
"requestId": "8d112bd6-****-****-****-ab3793ad0676",
"returnCode": "0",
"returnMessage": "success"
}
}
- If
responseFormatType=xml(default)
<?xml version="1.0" encoding="UTF-8"?>
<getCloudCacheConfigGroupListResponse>
<requestId>8d112bd6-****-****-****-ab3793ad0676</requestId>
<returnCode>0</returnCode>
<returnMessage>success</returnMessage>
<totalRows>1</totalRows>
<cloudCacheConfigGroupList>
<cloudCacheConfigGroup>
<configGroupNo>***9</configGroupNo>
<configGroupName>test-***-config</configGroupName>
<configGroupDescription>decription</configGroupDescription>
<configGroupStatusName>running</configGroupStatusName>
<configGroupStatus>
<code>RUN</code>
<codeName>Config group Running status</codeName>
</configGroupStatus>
<cloudCacheVersion>7.2.11-simple</cloudCacheVersion>
<cloudCacheDbmsCode>Valkey</cloudCacheDbmsCode>
<createDate>2024-07-01T16:36:38+0900</createDate>
<modifyDate>2024-07-01T16:36:40+0900</modifyDate>
<cloudCacheInstanceNoList>
<cloudCacheInstanceNo>****511</cloudCacheInstanceNo>
</cloudCacheInstanceNoList>
</cloudCacheConfigGroup>
</cloudCacheConfigGroupList>
</getCloudCacheConfigGroupListResponse>
getCloudRedisConfigGroupList API
This section describes the request and response formats for the getCloudRedisConfigGroupList API.
Request
This section describes the request format. The method and URI are as follows:
| Method | URI |
|---|---|
| GET | POST | /vredis/v2/getCloudRedisConfigGroupList |
This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console.
Request headers
For information about the headers common to all Cloud DB for Cache APIs, see Cloud DB for Cache request headers.
Request query parameters
You can use the following query parameters with your request:
| Field | Type | Required | Description |
|---|---|---|---|
regionCode |
String | Optional | Region code of the Cloud DB for Cache config group list to query
|
cloudRedisInstanceNo |
String | Optional | Filter by Cloud DB for Cache instance number. |
cloudRedisServiceName |
String | Optional | Filter by Cloud DB for Cache instance name. |
configGroupNo |
String | Optional | Filter by config group number. |
configGroupName |
String | Optional | Filter by config group name. |
cloudRedisImageProductCode |
String | Optional | Filter by Cloud Redis image product code applicable for the config group version to query. |
cloudRedisModeCode |
String | Optional | Cloud DB for Cache configurationFilter by Cloud DB for Cache configuration type.
|
responseFormatType |
String | Optional | Format of the response result
|
Request example
The request example is as follows:
curl --location --request GET 'https://ncloud.apigw.ntruss.com/vredis/v2/getCloudRedisConfigGroupList
?regionCode=KR
&cloudRedisInstanceNo=****511
&cloudRedisServiceName=test-****
&configGroupNo=***9
&configGroupName=test-***-config
&cloudRedisImageProductCode=SW.VDBAS.VRDS.LNX64.CNTOS.0708.REDIS.7015.B050
&cloudRedisModeCode=CLUSTER' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'
Response
This section describes the response format.
Response body
See ConfigGroupList for the response body.
Response status codes
For information about the HTTP status codes common to all Cloud DB for Cache (VPC) APIs, see Cloud DB for Cache (VPC) response status codes.
Response example
The response example is as follows:
-
If
responseFormatType=json{ "getCloudRedisConfigGroupListResponse": { "totalRows": 1, "cloudRedisConfigGroupList": [ { "configGroupNo": "***9", "configGroupName": "test-***-config", "configGroupDescription": "decription", "configGroupStatusName": "running", "configGroupStatus": { "code": "RUN", "codeName": "CONFIG GROUP Running State" }, "cloudRedisVersion": "7.0.15-cluster", "createDate": "2024-07-01T16:36:38+0900", "modifyDate": "2024-07-01T16:36:40+0900", "cloudRedisInstanceNoList": [ "****511" ] } ], "requestId": "8d112bd6-****-****-****-ab3793ad0676", "returnCode": "0", "returnMessage": "success" } } -
If
responseFormatType=xml(default)<?xml version="1.0" encoding="UTF-8"?> <getCloudRedisConfigGroupListResponse> <requestId>8d112bd6-****-****-****-ab3793ad0676</requestId> <returnCode>0</returnCode> <returnMessage>success</returnMessage> <totalRows>1</totalRows> <cloudRedisConfigGroupList> <cloudRedisConfigGroup> <configGroupNo>***9</configGroupNo> <configGroupName>test-***-config</configGroupName> <configGroupDescription>decription</configGroupDescription> <configGroupStatusName>running</configGroupStatusName> <configGroupStatus> <code>RUN</code> <codeName>CONFIG GROUP Running State</codeName> </configGroupStatus> <cloudRedisVersion>7.0.15-cluster</cloudRedisVersion> <createDate>2024-07-01T16:36:38+0900</createDate> <modifyDate>2024-07-01T16:36:40+0900</modifyDate> <cloudRedisInstanceNoList> <cloudRedisInstanceNo>****511</cloudRedisInstanceNo> </cloudRedisInstanceNoList> </cloudRedisConfigGroup> </cloudRedisConfigGroupList> </getCloudRedisConfigGroupListResponse>